# Salesforce Improve Library

The **Salesforce Improve Library** is a Python package designed to simplify interactions with Salesforce using the `simple-salesforce` library. This library provides helpful functions for managing bulk operations, logging API interactions, and handling errors gracefully, making it easier to work with Salesforce data in bulk or at the record level.

## Features

- **Bulk Operations**: Easily perform bulk read, insert, update, upsert, and delete operations.
- **Error Logging**: Automatically logs errors or failed records from Salesforce operations.
- **API Call Logging**: Supports logging API calls, capturing the success or failure of each call.
- **Single Record Operations**: Handle individual Salesforce object operations (insert, update, read, delete).

## Installation

You can install the library via pip:

```bash
pip install salesforceImprove
